15 days ago - AndrewT - Direct link
My guess is the game was supported on 10.11 when released several years ago, but is simply not tested on versions that old any more. Maybe not even 10.12 for all I know.

Can you not update to anything later?

Mac OS Compatibility Guide by Mac Model

Easily check which versions of mac OS, iOS, iPadOS, or watchOS are compatible with your Mac model or iDevice. Guide includes OS X 10.8.x to macOS 12.0.x. eshop.macsales.com eshop.macsales.com